## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - p -

- PalEntries : csPixelFormat
- palette : csCommonImageFileLoader, csImageVolumeMaker
- Palette : csColorQuantizer, csGraphics2D, csImageMemory
- PaletteAlloc : csGraphics2D
- paletteCount : csCommonImageFileLoader
- params : csSequenceOp
- Params : IMAGEHLP_STACK_FRAME, STACKFRAME64
- parent : csTreeNode, csEventQueue::iTypedFrameEventDispatcher, csSubRectangles::SubRect
- parentBuffer : csParasiticDataBufferBase
- ParentObject : csObject
- part_accel : csNewtonianParticleSystem
- part_pos : csParticleSystem
- part_sides : csParticleSystem
- part_speed : csNewtonianParticleSystem
- ParticleCount : csNewParticleSystem
- ParticleFlags : csNewParticleSystem
- particles : csParticleSystem
- pass : csEventCord
- path : csPathsList::Entry, csPhysicalFile
- pausedTitle : OSXDelegate2D
- PdbAge : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- PdbSig : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- PdbSig70 : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- PdbUnmatched : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- pedantic : csBlockAllocator< T, BlockPolicy >
- pendingImages : csImageVolumeMaker
- perFrameHolder : csNewParticleSystem, csParticleSystem
- pfmt : csTextureManager, csGraphics2D
- PixelBytes : csPixelFormat
- planeGlyphs : csFontCache::KnownFont
- plugin : csPluginLoadRec, csEventCord::PluginData
- plugin_mgr : csGraphics2D
- plugins : csEventCord
- points : csSpline
- poly1 : csPolygonMeshEdge
- poly2 : csPolygonMeshEdge
- polygon_idx : csHitBeamResult
- polypool : csClipper
- poolNext : csGLScreenShot
- portal : csRenderMesh
- Pos : csVertexStatus
- pos : csSprite2DVertex, csTriangleVertex
- position : csParticlesData, csGradientShade
- Position : csSoundListener
- position_offset : CrystalSpace::PCMSampleConverter
- PositionArray : csNewParticleSystem
- posObject : csLightProperties
- post : csPartialOrder< T >::Node
- PostProcess : csEventQueue, csBaseEventHandler
- pre : csPartialOrder< T >::Node
- precalculation_valid : csSpline
- PreProcess : iAws, csEventQueue, csBaseEventHandler
- prev : csSequenceOp, csList< T >::csListElement, csFontCache::LRUEntry
- prev_time : csParticleSystem
- previous : csRenderContext
- previous_sector : csRenderContext
- PrevTime : csNewParticleSystem
- priority : csEventCord::PluginData
- proc : CrystalSpace::SoftShader::iScanlineRenderer::RenderInfoTriangle
- proc_image : csProcTexture
- Process : iEventQueue, csEventQueue, csTriangulate2, csBaseEventHandler
- ProcessEvent : csEventQueue
- ProcessHandle : MINIDUMP_CALLBACK_INPUT
- ProcessId : MINIDUMP_CALLBACK_INPUT
- programFile : csShaderProgram
- programFileName : csShaderProgram
- programNode : csShaderProgram
- props : csRenderBuffer
- ptReady : csProcTexture
- purgeableFonts : csFontCache